#
# spec file for package python-idna_ssl
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


%define skip_python2 1
%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-idna_ssl
Version:        1.0.0
Release:        2.1
License:        MIT
Summary:        Patch sslmatch_hostname for Unicode(idna) domains support
Url:            https://github.com/aio-libs/idna_ssl
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/i/idna_ssl/idna_ssl-%{version}.tar.gz
BuildRequires:  python-rpm-macros
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
Requires:       python-idna >= 2.0
BuildArch:      noarch

%python_subpackages

%description
Patch ssl.match_hostname for Unicode(idna) domains support
The ssl.match_hostname issue is fixed (by January 27 2018) in upcoming
Python 3.7, but IDNA2008 (rfc5895) is still broken.

%prep
%setup -q -n idna_ssl-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%doc LICENSE README.rst
%{python_sitelib}/*

%changelog
* Sat Feb 17 2018 alarrosa@suse.com
- Initial release of idna_ssl 1.0.0
